%define anolis_release 4

Name:           fdk-aac-free
Summary:        Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android
Version:        2.0.2
Release:        %{anolis_release}%{dist}
License:        FDK-AAC
URL:            https://cgit.freedesktop.org/~wtay/fdk-aac/log/?h=fedora
Source0:        https://github.com/mstorsjo/fdk-aac/archive/v2.0.2/fdk-aac-free-%{version}.tar.gz

BuildRequires:  automake libtool make gcc gcc-c++

%description
fdk-aac-free is a free, open-source implementation of the Fraunhofer FDK AAC codec.
AAC (Advanced Audio Coding) is a popular audio compression format used in various applications,
such as digital broadcasting, streaming services, and mobile devices. The Fraunhofer FDK AAC
codec is one of the most widely used and respected codecs for AAC encoding and decoding.

fdk-aac-free is a high-quality, low-latency AAC encoder and decoder that can be easily integrated
into various software applications. It supports a wide range of AAC profiles and features, including multi-channel encoding and decoding, bit-rate control, and error resilience. It is licensed under the Apache License, Version 2.0, which allows for free and open-source use and modification of the code.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVR}

%description    devel
The development package provides libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package provides documentation files for %{name}.

%prep
%autosetup -p1 -n fdk-aac-%{version}
autoreconf -vif

%build
%configure --disable-silent-rules --disable-static
%make_build

%install
%make_install INSTALL="install -p"

%generate_compatibility_deps

%files
%license NOTICE
%dir %{abidir}
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.2
%{abidir}/libfdk-aac.dump

%files devel
%doc documentation/*.pdf
%dir %{_includedir}/fdk-aac
%{_libdir}/pkgconfig/fdk-aac.pc
%{_libdir}/*.so
%{_includedir}/fdk-aac/*.h

%files doc
%doc ChangeLog

%changelog 
* Thu Dec 28 2023 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 2.0.2-4
- fix the source error

* Sat Apr 15 2023 Heng Qi <hengqi@linux.alibaba.com> - 2.0.2-3
- Refactor the spec file

* Thu Feb 16 2023 happy_orange <songnannan@linux.alibaba.com> - 2.0.2-2
- add doc and abi info

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.0.2-1
- Init package from upstream v2.0.2
